IM_CONV(3X)

NAME
im_lowpass - remove high frequencies quickly

SYNOPSIS
#include <vips/vips.h> int im_lowpass(in, out, x, y)
IMAGE *in, *out;
int x, y;

DESCRIPTION
Expand image up to X by Y pixels. Linear interpolation. Used by lowpass(1X) for simple and nasty low-pass filtering. The result is very poor, but good enough for smoothing out whites. Any number of bands, output size == input size, any non-complex type.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_shrink(3), im_similarity_area(3).

COPYRIGHT
National Gallery

AUTHOR
Too embarrassed to say